ONVIF::Media::Elements::GetMetadataConfigurationOptionsResponse(3)

NAME
ONVIF::Media::Elements::GetMetadataConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetMetadataConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetMetadataConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::MetadataConfigurationOptions
     PTZStatusFilterOptions =>  { # ONVIF::Media::Types::PTZStatusFilterOptions
       PanTiltStatusSupported =>  $some_value, # boolean
       ZoomStatusSupported =>  $some_value, # boolean
       PanTiltPositionSupported =>  $some_value, # boolean
       ZoomPositionSupported =>  $some_value, # boolean
       Extension =>  { # ONVIF::Media::Types::PTZStatusFilterOptionsExtension
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL